﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace RadPivotGrid_LocalDataSourceProvider_WPF7
{
    class BooleanToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var param = parameter as string;
            var isBusy =(bool) value;
            if (param != null && isBusy != null)
            {
                if (isBusy)
                {
                    if (param == "Rectangle")
                    {
                        return Visibility.Visible;
                    }
                    else if (param == "PivotTable")
                    {
                        return Visibility.Collapsed;
                    }
                }
                else
                {
                    if (param == "Rectangle")
                    {
                        return Visibility.Collapsed;
                    }
                    else if (param == "PivotTable")
                    {
                        return Visibility.Visible;
                    }
                }
            }

            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //var boolValue = value as string;
            //return boolValue;
            return value;
        }
    }
}
